Package org.springframework.http

# Interface HttpMessage

All Known Subinterfaces:
  `ClientHttpRequest`, `ClientHttpRequest`, `ClientHttpResponse`, `ClientHttpResponse`, `HttpInputMessage`, `HttpOutputMessage`, `HttpRequest`, `ReactiveHttpInputMessage`, `ReactiveHttpOutputMessage`, `RestClient.RequestHeadersSpec.ConvertibleClientHttpResponse`, `ServerHttpRequest`, `ServerHttpRequest`, `ServerHttpResponse`, `ServerHttpResponse`, `StreamingHttpOutputMessage`, `ZeroCopyHttpOutputMessage`

All Known Implementing Classes:
  `AbstractClientHttpRequest`, `AbstractClientHttpRequest`, `AbstractClientHttpResponse`, `AbstractListenerServerHttpResponse`, `AbstractServerHttpRequest`, `AbstractServerHttpResponse`, `ClientHttpRequestDecorator`, `ClientHttpResponseDecorator`, `DelegatingServerHttpResponse`, `HttpHeadResponseDecorator`, `HttpRequestWrapper`, `MappingJacksonInputMessage`, `RequestPartServletServerHttpRequest`, `ServerHttpRequestDecorator`, `ServerHttpResponseDecorator`, `ServletServerHttpRequest`, `ServletServerHttpResponse`

public interface HttpMessage
Represents the base interface for HTTP request and response messages. Consists of `HttpHeaders`, retrievable via `getHeaders()`.

Since:
  3.0
Author:
  Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`HttpHeaders`
`getHeaders()`
Return the headers of this message.

## Method Details

### getHeaders

HttpHeaders getHeaders()
Return the headers of this message.

Returns:
  a corresponding HttpHeaders object (never `null`)